#!/usr/bin/env python

from datetime import datetime

from aman.config.AirportSequencing import AirportSequencing

class Configuration:
    def __init__(self, earliestArrivalTime : datetime, runwayInfo : AirportSequencing, antCount : int, explorationCount : int):
        # the AMAN specific information
        self.RunwayConstraints = runwayInfo
        self.PreceedingInbounds = None
        self.Inbounds = None
        self.EarliestArrivalTime = earliestArrivalTime

        # the ACO specific information
        self.AntCount = antCount
        self.ExplorationRuns = explorationCount
        self.PheromoneEvaporationRate = 0.9